#
# spec file for package djvusmooth
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           djvusmooth
Version:        0.2.15
Release:        5.3
Summary:        Graphical Text Editor for DjVu
License:        GPL-2.0
Group:          Productivity/Publishing/Other
Url:            http://jwilk.net/software/djvusmooth
Source0:        http://pypi.python.org/packages/source/d/%{name}/%{name}-%{version}.tar.gz
Source1:        http://pypi.python.org/packages/source/d/%{name}/%{name}-%{version}.tar.gz.asc
Source2:        djvusmooth.png
Source3:        %{name}.keyring
BuildRequires:  desktop-file-utils
%if 0%{?suse_version} >= 1230
BuildRequires:  gpg-offline
%endif
BuildRequires:  hicolor-icon-theme
BuildRequires:  python-setuptools
Requires:       djvulibre
Requires:       python-djvulibre
Requires:       python-wxWidgets
Requires:       python-xdg
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
DjVuSmooth is a graphical text editor for DjVu documents.

%lang_package

%prep
%if 0%{?gpg_verify:1}
%gpg_verify %{SOURCE1}
%endif
%setup -q

%build

%install
# Replace a desktop file. Provided one isn't good enough.
cat > extra/%{name}.desktop << EOF
[Desktop Entry]
Name=DjVuSmooth
GenericName=Graphical Text Editor for DjVu
GenericName[pl]=Graficzny edytor plików DjVu
GenericName[ru]=Текстовый редактор DjVu-книг
GenericName[de]=Grafischer Editor für DjVu-Dateien
Comment=Graphical Text Editor for DjVu
Comment[pl]=Graficzny edytor plików DjVu
Comment[ru]=Граффический текстовый редактор для DjVu-книг
Comment[de]=Grafischer Editor für DjVu-Dateien
Type=Application
Exec=djvusmooth %f
Icon=djvusmooth
Categories=Utility;TextEditor;
StartupNotify=true
Terminal=false
MimeType=image/x-djvu;image/x.djvu;image/vnd.djvu;
EOF

python setup.py install \
    --root=%{buildroot} \
    --prefix=%{_prefix}
install -Dm 0644 %{SOURCE2} \
    %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}.png

%find_lang %{name}

%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr(-,root,root,-)
%doc COPYING doc/changelog
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/*/%{name}.png
%doc %{_mandir}/man?/*
%{python_sitelib}/*

%files lang -f %{name}.lang

%changelog
* Fri Oct 10 2014 lazy.kent@opensuse.org
- Update to 0.2.15.
  * Improve the setup script:
    + Run msgfmt with the --verbose option.
  * Improve error handling.
  * Use HTTPS URLs when they are available, in documentation and
    code.
  * Document that is possible to edit hyperlinks.
  * Use the notebook widget regardless of wxPython version.
  * Don't hardcode path to the binary in the desktop file.
  * Add experimental support for wxPython 3.0.
  * Drop support for wxPython 2.6.
  * Add German translation for the desktop file.
- Correct build dependencies.
* Wed Mar  6 2013 lazy.kent@opensuse.org
- Fix wrong source installed as icon.
* Thu Feb 28 2013 lazy.kent@opensuse.org
- Update to 0.2.14.
  * Add "Open recent" submenu.
  * Do not abort opening a new file if user chose to save the
    current one.
  * Check Python version at runtime.
  * Improve the manual page, as per man-pages(7) recommendations.
  * Improve the setup script.
  * Improve error handling.
- Verify GPG signature.
- Add BuildRequires: python-devel (as recommended in
  openSUSE:Packaging Python).
- Replace BuildRequires: update-desktop-files with
  desktop-file-utils.
- Remove %%py_requires macro.
- Don't use '--record-rpm' in install stage; write files into
  %%files section.
* Thu Oct  4 2012 lazy.kent@opensuse.org
- Update to 0.2.13.
  * Add keyboard shortcuts for “Zoom in” and “Zoom out”.
  * Fix editing text in external editor: when a zone broader than
    line without sub-zones existed, djvusmooth incorrectly skipped
    it when importing text.
  * Fix segmentation fault on shutdown.
* Sat Jun 16 2012 lazy.kent@opensuse.org
- Update to 0.2.12.
  * Rename menu item “Edit → Outline → Remove” to “… → Remove all”.
  * Use our own minimal XDG Base Directory implementation instead
    of PyXDG.
  * Add Spanish translation.
  * Update Russian translation.
- Doesn't require fdupes.
* Mon Feb 27 2012 lazy.kent@opensuse.org
- Split off lang package.
- Install icon to icons/hicolor.
- Remove check for unsupported openSUSE versions.
* Thu Jan 26 2012 lazy.kent@opensuse.org
- Update to 0.2.11.
  * Don't throw exceptions when using "Fit width", "Fit height" and
    "Stretch" zoom factors and no page is shown.
  * Fix a typo in the manual page.
  * Let the setup.py script build and install binary message
    catalogs.
* Sun Nov  6 2011 lazy.kent@opensuse.org
- Corrected dependencies (python-distribute for openSUSE >= 1210).
- Added desktop_database_post/un macros
- Corrected License tag.
- Use full URL as a source.
- spec clean up.
* Sat Feb 19 2011 lazy.kent@opensuse.org
- Update to 0.2.10.
  * Let the setup.py script build and install manual pages.
  * Fix the code that was supposed to disable the GUI while an
    external editor is running.
  * Fix the manual page: djvusmooth uses XDG_CONFIG_HOME rather
    than XDG_DATA_HOME.
- added COPYING
* Tue Jan 25 2011 lazy.kent@opensuse.org
- Update to 0.2.9.
  * Fix support for external editors that use the
    overwrite-by-rename technique.
- Requires python-wxWidgets for openSUSE 11.4
* Tue Aug 31 2010 lazy.kent.suse@gmail.com
- Update to 0.2.8.
  * Update the Russian translation.
  * Handle directories with non-ASCII characters (deb#595002).
  * Fix editing line/arrow annotations (deb#595012).
* Sat Jun 26 2010 lazy.kent.suse@gmail.com
- Update to 0.2.7.
  * Add Russian translation.
  * Handle non-ASCII metadata keys.
- Dropped translation patch (included upstream).
* Sun Jun 20 2010 lazy.kent.suse@gmail.com
- Added Russian translation.
* Tue Jun 15 2010 lazy.kent.suse@gmail.com
- Update to 0.2.6.
  * Add keyboard shortcut Ctrl+G for “Go to page…”.
  * Reopen document after save, so that it's possible to display
    non-cached pages.
- Dropped obsolete keyboard shortcut patch (fixed upstream).
* Wed Jun  9 2010 lazy.kent.suse@gmail.com
- Added keyboard shortcut for "Go to page…" action.
- Moved desktop menu entry to Utility/TextEditor.
* Fri Apr  9 2010 lazy.kent.suse@gmail.com
- Update to 0.2.5.
  * Fix setup.py to install all the required packages.
- Dropped setup patch (fixed upstream).
* Thu Apr  8 2010 lazy.kent.suse@gmail.com
- Fixed setup script.
- Added icon.
* Tue Apr  6 2010 lazy.kent.suse@gmail.com
- Initial package created - 0.2.4.
